.flexnav {
	margin: 0px auto; transition:none; width: 100%; overflow: hidden; max-height: 0px; -webkit-transform-style: preserve-3d;
}
.flexnav.opacity {
	opacity: 0;
}
.flexnav.flexnav-show {
	transition:0.5s ease-in-out; max-height: 2000px; opacity: 1;
}
.flexnav li {
	overflow: hidden; position: relative;
}
.flexnav li a {
	background: rgb(231, 231, 231); padding: 0.96em; color: rgb(0, 0, 0); overflow: hidden; border-bottom-color: rgb(204, 204, 204); border-bottom-width: 1px; border-bottom-style: solid; display: block; position: relative; z-index: 2;
}
.flexnav li a:hover {
	color: rgb(180, 5, 70);
}
.flexnav li ul {
	width: 100%;
}
.flexnav li ul li {
	overflow: hidden; font-size: 100%; position: relative;
}
.flexnav li ul li a {
	background: no-repeat 15px / 25px 25px rgb(246, 246, 246); padding-left: 45px; border-bottom-color: rgb(204, 204, 204); border-bottom-width: 1px; border-bottom-style: solid;
}
.flexnav li ul li:last-child a {
	border-bottom-color: currentColor; border-bottom-width: medium; border-bottom-style: none;
}
.flexnav > li > a {
	padding: 0px; border-bottom-color: currentColor; border-bottom-width: medium; border-bottom-style: none;
}
.flexnav > li:nth-child(1) {
	background: rgb(231, 231, 231); padding: 0.96em; border-bottom-color: rgb(204, 204, 204); border-bottom-width: 1px; border-bottom-style: solid;
}
.flexnav > li:nth-child(1) ul li:nth-child(1) a {
	background-image: url("../img/mini-icon/mini-i-01.png");
}
.flexnav > li:nth-child(1) ul li:nth-child(2) a {
	background-image: url("../img/mini-icon/mini-i-02.png");
}
.flexnav > li:nth-child(1) ul li:nth-child(3) a {
	background-image: url("../img/mini-icon/mini-i-03.png");
}
.flexnav > li:nth-child(1) ul li:nth-child(4) a {
	background-image: url("../img/mini-icon/mini-i-04.png");
}
.flexnav > li:nth-child(2) {
	background: rgb(231, 231, 231); padding: 0.96em; border-bottom-color: rgb(204, 204, 204); border-bottom-width: 1px; border-bottom-style: solid;
}
.flexnav > li:nth-child(2) ul li:nth-child(1) a {
	background-image: url("../img/mini-icon/mini-i-05.png");
}
.flexnav > li:nth-child(2) ul li:nth-child(2) a {
	background-image: url("../img/mini-icon/mini-i-06.png");
}
.flexnav > li:nth-child(2) ul li:nth-child(3) a {
	background-image: url("../img/mini-icon/mini-i-07.png");
}
.flexnav > li:nth-child(2) ul li:nth-child(4) a {
	background-image: url("../img/mini-icon/mini-i-08.png");
}
.flexnav > li:nth-child(2) ul li:nth-child(5) a {
	background-image: url("../img/mini-icon/mini-i-09.png");
}
.flexnav > li:nth-child(2) ul li:nth-child(6) a {
	background-image: url("../img/mini-icon/mini-i-10.png");
}
.flexnav > li:nth-child(2) ul li:nth-child(7) a {
	background-image: url("../img/mini-icon/mini-i-13.png");
}
.flexnav > li:nth-child(2) ul li:nth-child(8) a {
	background-image: url("../img/mini-icon/mini-i-14.png");
}
.flexnav > li:nth-child(3) {
	background: rgb(231, 231, 231); padding: 0.96em;
}
.flexnav > li:nth-child(3) ul li:nth-child(1) a {
	background-image: url("../img/mini-icon/mini-i-11.png");
}
.flexnav > li:nth-child(3) ul li:nth-child(2) a {
	background-image: url("../img/mini-icon/mini-i-03.png");
}
.flexnav .touch-button {
	top: 0px; width: 50px; height: 50px; text-align: center; right: 0px; display: inline-block; position: absolute; z-index: 999;
}
.flexnav .touch-button:hover {
	cursor: pointer;
}
.flexnav .touch-button .navicon {
	top: 10px; color: rgb(76, 76, 76); font-size: 1.6rem; position: relative;
}
.menu-button {
	background: rgb(255, 255, 255); color: rgb(0, 0, 0); display: block; position: relative; cursor: pointer; box-shadow: 0px 0px 10px #cccccc;
}
.menu-button > i {
	transition:0.4s; top: 22px; width: 20px; height: 1px; right: 12px; position: absolute; background-color: rgb(0, 0, 0);
}
.menu-button > i::before {
	transition:0.4s; left: 0px; top: -7px; width: 20px; height: 1px; position: absolute; content: ""; background-color: rgb(0, 0, 0);
}
.menu-button > i::after {
	transition:0.4s; left: 0px; top: 7px; width: 20px; height: 1px; position: absolute; content: ""; background-color: rgb(0, 0, 0);
}
.menu-button span {
	padding: 12px 0px 10px; text-align: center; color: rgb(0, 0, 0); font-size: 1.6rem; text-decoration: none; display: block; position: relative;
}
.menu-button .touch-button {
	display: none;
}
.active > i {
	transition:0.4s; background-color: rgba(255, 255, 255, 0);
}
.active > i::before {
	transition:0.4s; transform: translateY(7px) rotate(-45deg); -webkit-transform: translateY(7px) rotate(-45deg);
}
.active > i::after {
	transition:0.4s; -webkit-transform: translateY(-7px) rotate(45deg);
}
@media all and (min-width:800px)
{
.flexnav {
	overflow: visible; position: relative; z-index: 1000;
}
.flexnav.opacity {
	opacity: 1;
}
.flexnav.one-page {
	top: 0px; right: auto; max-width: 1080px;
}
.flexnav > li {
	list-style: none; padding: 0px 0.96em; width: 33.33%; height: 60px; text-align: center; line-height: 1.2em; overflow: visible; font-size: 100%; border-left-color: rgb(76, 76, 76); border-left-width: 1px; border-left-style: solid; float: left; display: block; position: relative; box-sizing: border-box;
}
.flexnav > li:last-child {
	border-right-color: rgb(76, 76, 76); border-right-width: 1px; border-right-style: solid;
}
.flexnav > li:nth-child(1) {
	background: none; border-bottom-color: currentColor; border-bottom-width: medium; border-bottom-style: none;
}
.flexnav > li:nth-child(2) {
	background: none; border-bottom-color: currentColor; border-bottom-width: medium; border-bottom-style: none;
}
.flexnav > li:nth-child(3) {
	background: none; border-bottom-color: currentColor; border-bottom-width: medium; border-bottom-style: none;
}
.flexnav > li > a {
	padding: 0px; display: block;
}
.flexnav > li > ul {
	left: 0px; top: 55px; display: none; position: absolute;
}
.flexnav > li > ul li {
	width: 100%;
}
.flexnav > li > ul li a {
	text-align: left; display: block; background-color: rgba(250, 250, 250, 0.95);
}
.flexnav > li > ul li:last-child a {
	border-bottom-color: currentColor; border-bottom-width: medium; border-bottom-style: none;
}
.flexnav li a {
	background: none; border-bottom-color: currentColor; border-bottom-width: medium; border-bottom-style: none;
}
.flexnav li ul.flexnav-show {
	margin-top: 0px;
}
.flexnav li ul.open {
	display: block; visibility: visible; z-index: 1; opacity: 1;
}
.flexnav li ul.open li {
	overflow: visible; max-height: 100px;
}
.flexnav li ul.open ul.open {
	top: 0px; margin-left: 100%;
}
.flexnav .touch-button {
	display: none;
}
.menu-button {
	display: none;
}
}
